#
# spec file for package dmapi (Version 2.2.8)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils e2fsprogs-devel file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libblkid-devel libblkid1 libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdb-4_5 libext2fs-devel libext2fs2 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid-devel libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux xfsprogs xfsprogs-devel zlib

Name:           dmapi
BuildRequires:  e2fsprogs-devel xfsprogs-devel
Version:        2.2.8
Release:        22.1
AutoReqProv:    on
Group:          Development/Libraries/C and C++
License:        GPL v2 or later
Url:            http://oss.sgi.com/projects/xfs/
Summary:        Data Management API Runtime Environment
Source0:        dmapi_%{version}-1.tar.bz2
Patch0:         dmapi-docdir.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains files required by system software using the Data
Management API. (DMAPI).  This is used to implement the interface
defined in the X/Open document:  Systems Management: Data Storage
Management (XDSM) API dated February 1997.  This interface is
implemented by the libdm library.



Authors:
--------
    SGI

%debug_package
%package      devel
Requires:       dmapi = %version
AutoReqProv:    on
Group:          Development/Libraries/C and C++
License:        GPL v2 or later
Url:            http://oss.sgi.com/projects/xfs/
Summary:        DMAPI Libraries and Header Files

%description devel
The dmapi-devel package contains the libraries and header files needed
to develop programs which make use of the Data Management API (DMAPI). 
If you install dmapi-devel, you will also want to install the dmapi
(runtime) package and the xfsprogs-devel package.



Authors:
--------
    SGI

%prep
%setup -q
%patch0

%build
autoreconf -fi
CFLAGS=$RPM_OPT_FLAGS \
./configure \
	--prefix=/usr \
	--libdir=/%_lib \
	--libexecdir=%_libdir
LCFLAGS="$RPM_OPT_FLAGS" make

%install
export DIST_ROOT="$RPM_BUILD_ROOT"
/usr/bin/make install
/usr/bin/make install-dev
# remove devel stuff from /lib
rm $RPM_BUILD_ROOT/%_lib/libdm.{so,a,la}
rm $RPM_BUILD_ROOT/%_libdir/libdm.so
pushd $RPM_BUILD_ROOT%_libdir
	ls ../../%_lib/libdm.so.[0-9]
	ln -s ../../%_lib/libdm.so.[0-9] libdm.so
popd
find $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,755)
/%_lib/libdm.so.*
%doc %_defaultdocdir/%name

%files devel
%defattr(-,root,root,755)
/usr/include/xfs/dmapi.h
%_libdir/libdm.a
%_libdir/libdm.so
%_libdir/libdm.la
/usr/share/man/man3/*

%changelog
* Fri Jun 22 2007 - mmarek@suse.cz
- updated to 2.2.8
  * Fix a problem in get_mnt() called by dm_handle_to_path()
  The "dmi" mount option was not considered.
  * Fix issues with makedepend on libtool libraries.
  * Makefile dependency fixes
- specfile cleanup
* Wed Jan 24 2007 - mmarek@suse.cz
- use $RPM_OPT_FLAGS
* Thu Jul 27 2006 - mjancar@suse.cz
- update to 2.2.5
  * Debian packaging updates (debmake out, debhelper in)
  * Fix Debian build packaging dependency.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mjancar@suse.cz
- update to 2.2.3
* Sun Aug 21 2005 - ro@suse.de
- no .a/.la files in /
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 2.2.1
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 2.2.0
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.1.0
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Jun 20 2003 - ja@suse.cz
- Upgrade to 2.0.8.
* Mon Jun 16 2003 - ja@suse.cz
- File list fixed for dmapi-devel.
* Tue Apr 29 2003 - jderfina@suse.cz
- update to version 2.0.7
* Tue Aug 20 2002 - ro@suse.de
- fix links in devel package
  (broken for this case where PKG_DEVLIB_DIR == PKG_LIB_DIR)
* Tue Aug 20 2002 - mge@suse.de
- update to 2.0.5
* Thu May 09 2002 - tcrhak@suse.cz
- fixed to build with lib64
* Tue Feb 26 2002 - ro@suse.de
- update to 2.0.0
* Tue Aug 21 2001 - adostal@suse.cz
- split dmapi-0.1.1 from package xfsprogs
- use DESTDIR from %%install (...destdir.patch)
- create  ...dirs.patch
